Glue Up API
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
User CollectionEvent CollectionSubscription CollectionMembership Collection
Finance Collection
  1. Membership Collection
  • Retrieve the Membership Directory Settings
    GET
  • Retrieve Default Company Application Form
    GET
  • Retrieve Default Individual Application Form
    GET
  • Retrieve All Company Application Forms
    POST
  • Retrieve All Individual Application Forms
    POST
  • Retrieve All Company Application Form Fields
    GET
  • Retrieve All Individual Application Form Fields
    GET
  • Retrieve the Company Membership Directory List
    POST
  • Retrieve the Basic Company Membership Directory List
    POST
  • Retrieve a Company Membership
    GET
  • Retrieve the Individual Membership Directory List
    POST
  • Retrieve a Individual Membership
    GET
  • Retrieve the Membership Member Directory List
    POST
  • Retrieve the Basic Membership Member Directory List
    POST
  • Retrieve the Membership Member by Member ID
    GET
  • Retrieve the Membership Member Directory List By User
    POST
  • Retrieve the Membership Industry List By Membership Type
    GET
  • Retrieve the Membership Type List By Page
    POST
  • Retrieve the Membership List By Page
    GET
  1. Membership Collection

Retrieve the Individual Membership Directory List

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/membershipDirectory/individualMemberships
Retrieve the individual memberships from the membership directory of an organization. You will receive only active individual memberships. This endpoint will return a list of Individual Membership Model.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Individual membership directory list returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/membershipDirectory/individualMemberships' \
--header 'a;' \
--header 'requestOrganizationId;' \
--header 'Content-Type: application/json' \
--data '{
    "projection": [],
    "filter": [
        {
            "projection": "featured",
            "operator": "eq",
            "values": [
                false
            ]
        }
    ],
    "order": {
        "name": "asc"
    },
    "offset": 0,
    "limit": 20
}'
Response Response Example
[
    {
        "id": 39413,
        "membershipId": 16911,
        "membershipType": {
            "id": 611,
            "title": "People Type A",
            "type": "People"
        },
        "startDate": 1563724801000,
        "featured": false,
        "emailAddress": {
            "value": "test.user@glueup.com"
        },
        "phone": {
            "value": "0123456789"
        },
        "givenName": "Test",
        "familyName": "User",
        "companyName": "Eventbank",
        "properties": {
            "graduated-school": "",
            "food-preference": {
                "code": "vegetarian",
                "title": {
                    "en": "Vegetarian"
                }
            }
        },
        "adminContact": {
            "language": {
                "code": "en"
            },
            "givenName": "Test",
            "familyName": "User",
            "positionTitle": "",
            "emailAddress": {
                "value": "test.user@glueup.com"
            },
            "phoneNumber": {
                "value": ""
            }
        }
    }
]
Modified at 2026-06-29 08:37:20
Previous
Retrieve a Company Membership
Next
Retrieve a Individual Membership
Built with